<!DOCTYPE html>
<html>
<head>
	<title>Video streaming</title>

	<link rel="stylesheet" type="text/css" href="/public/vendor/bootstrap/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="/public/css/osahan.css">
	<link rel="stylesheet" type="text/css" href="/public/css/video-js.css">
	<link rel="stylesheet" type="text/css" href="/public/fontawesome-free/css/all.min.css">
	<link rel="stylesheet" type="text/css" href="/public/css/sidebars.css">
	<link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>

	<link rel="shortcut icon" href="#" />
</head>
<body>

	<% 
		months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]
	
		baseUrl = "http://localhost:3000/";
	
	%>

	<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
		<div class="container">
			<a href="/" class="navbar-brand">Video streaming</a>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<ul class="navbar-nav ml-auto">
				<% if (typeof isLogin !== "undefined" && isLogin) { %>
					<li class="nav-item">
						<div class="dropdown">
							<button class="btn btn-secondary dropdown-toggle" type="button" id="dropDownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<i class="fa fa-bell fa-fw" style="color: white;"></i>
							</button>
							<div class="dropdown-menu" id="unread-notifications" aria-labelledby="dropDownMenuButton"></div>
						</div>
					</li>

					<li class="nav-item">
						<a href="/api/v1/video/upload-video" class="nav-link">Upload Video</a>
					</li>

					<li class="nav-item">
						<a href="/api/v1/video/settings" class="nav-link">Settings</a>
					</li>

					<li class="nav-item">
						<a href="/api/v1/auth/logout" class="nav-link">logout</a>
					</li>
				<% } else { %>
					<li class="nav-item">
						<a href="/api/v1/auth/login" class="nav-link">Login</a>
					</li>
					<li class="nav-item">
						<a href="/api/v1/auth/signup" class="nav-link">Signup</a>
					</li>
				<% } %>
				</ul>
			</div>
		</div>
	</nav>

	<div class="d-flex" id="wrapper">
		<div class="d-flex flex-column flex-shrink-0 p-3 text-white bg-dark" style="width: 280px; height: 100vh">
			<% if (typeof isLogin !== "undefined" && isLogin) { %>
			<div class="list-group list-group-flush">
				<ul class="nav nav-pills flex-column mb-auto" id="sidebar-wrapper">
			      <li class="nav-item">
			        <a href="/api/v1/video/watch-history" class="nav-link active" aria-current="page">
			          <i class="fas fa-history p-2"></i>
			          History
			        </a>
			      </li>
			      <li>
			        <a href="" class="nav-link text-white getUserId" id="channelId">
			          <i class="fas fa-chalkboard-teacher p-2"></i>
			          My Channel
			        </a>
			      </li>
			      <li>
			        <a href="/api/v1/video/my-subscriptions" class="nav-link text-white getSubscriptionId">
			          <i class="fas fa-chalkboard p-2"></i>
			          My Subscribed Channel
			        </a>
			      </li>
			      <li>
			      <li>
			        <a href="#" class="nav-link text-white">
			          <svg class="bi me-2" width="16" height="16"><use xlink:href="#people-circle"/></svg>
			          Customers
			        </a>
			      </li>
    		</ul>

			</div>
			<% } %>
		</div>